﻿using Infragistics.Web.Mvc;
using SampleData;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace ComboJSON.Controllers
{
    public class HomeController : Controller
    {
        DataUtil data = new DataUtil();
        //
        // GET: /Home/

        public ActionResult Index()
        {
            return View();
        }

        [ComboDataSourceAction]
        [ActionName("employee-combo-data")]
        public ActionResult ComboData()
        {
            return View(data.Products.AsEnumerable());
        }

        [HttpPost]
        public JsonResult UpdateData(string item)
        {
            JsonResult result = new JsonResult();
            Dictionary<string, object> response = new Dictionary<string, object>();

            //  Add item's data to database.
            //  ...

            response.Add("Success", true);
            result.Data = response;

            return result;
        }
    }
}
